# -----------------------------------------------------------------------------
# Sparky site initialization file.
# Adds menu entries for extensions.
#
import sparky

entries = (
('aa', 'AutoAssign',    	'autoassign',	'show_dialog'),
('ad', 'Assignment distances',	'distance',	'show_dialog'),
('ax', 'Atom name translation',	'atoms',        'show_translations_dialog'),
('cv', 'Center view setup',     'centerview',   'center_view_setup'),
('cs', 'Chemical shift plot',	'chemshift',    'show_shifts_dialog'),
('km', 'Chimera molecule view', 'chimeraview',  'show_chimera_dialog'),
('cl', 'Copy linewidths', 'copylinewidth', 'copy_linewidths_and_positions'),
('cx', 'Corma spectrum',        'cormaspectrum','show_corma_spectrum'),
('lp', 'Linewidth plot',        'linewidthplot','show_linewidth_dialog'),
('mc', 'Midas constraints', 'midasconstraint',	'show_constraint_dialog'),
('ma', 'Midas atom picking',	'midaspick',	'show_atom_pick_dialog'),
('md', 'Mirror peak dialog',	'mirror',	'show_mirror_dialog'),
('mp', 'Mirror peak show',	'mirror',	'show_mirror_peak'),
('sq', 'Molecule sequence',     'sequence',     'show_sequence_dialog'),
('LT', 'Peak list',     	'peaklist',	'show_peak_list'),
('pb', 'Peak table',		'peaktable',	'show_peak_table'),
('py', 'Python shell',		'pythonshell',	'show_python_shell'),
('rp', 'Read peak list',	'readpeaks',	'read_peak_list'),
('rh', 'Relaxation peak heights', 'relax',      'show_peak_heights'),
('rs', 'Reposition sequence',   'reposition',   'show_repositioner'),
('kr', 'Restricted peak pick',  'restrictedpick', 'show_dialog'),
('mv', 'Shift resonances',	'movepeaks',	'show_move_peak_dialog'),
('la', 'Spectrum labelled axis','axes',         'show_attached_axis_dialog'),
('sy', 'Spectrum type', 	'spectrumtype',	'change_spectrum_type'),
('sg', 'Spin graph',		'spingraph',	'show_spin_graph'),
('ga', 'Spin graph assigner',   'assigngraph',  'show_assigner'),
('sp', 'Strip plot',            'strips',       'show_strip_plot'),
('ve', 'Volume errors',		'volumeerror',	'show_volume_error_dialog'),
)

# -----------------------------------------------------------------------------
#
def menu_entry(accelerator, menu_text, module_name, function_name):

  command = 'import %s; %s.%s()' % (module_name, module_name, function_name)
  sparky.add_command(accelerator, menu_text, command)

# -----------------------------------------------------------------------------
#
for accelerator, menu_text, module_name, function_name in entries:
  menu_entry(accelerator, menu_text, module_name, function_name)
